Summary:	Intel PRO/Wireless 5000AGN microcode
Name:		iwlwifi-5000-ucode
Version:	8.83.5.1
Release:	2
Source0:	http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{version}.tgz
Source1:	http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-8.24.2.12.tgz
Source2:	http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-5.4.A.11.tar.gz
License:	Proprietary
Group:		System/Kernel and hardware
Url:		http://intellinuxwireless.org/
BuildArch:	noarch

%description
The file iwlwifi-5000-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 5000AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -a 1 -a 2

# provide old firmware with ucode_api=1 for compatibility with older kernels
cp iwlwifi-5000-ucode-5.4.A.11/iwlwifi-5000-1.ucode .
cp iwlwifi-5000-ucode-5.4.A.11/README.iwlwifi-5000-ucode \
   README.iwlwifi-5000-ucode-1
# provide old firmware with ucode_api=2 for compatibility with older kernels
cp iwlwifi-5000-ucode-8.24.2.12/iwlwifi-5000-2.ucode .
cp iwlwifi-5000-ucode-8.24.2.12/README.iwlwifi-5000-ucode \
   README.iwlwifi-5000-ucode-2
mv README.iwlwifi-5000-ucode README.iwlwifi-5000-ucode-5

%build

%install
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%files
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Mon Nov 05 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 8.83.5.1-2
+ Revision: 821925
- cleanups

* Tue Mar 22 2011 Thomas Backlund <tmb@mandriva.org> 8.83.5.1-1
+ Revision: 647560
- update to 8.83.5.1

* Thu May 28 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 8.24.2.12-1mdv2010.0
+ Revision: 380677
- Updated to version 8.24.2.12
- Still provide old firmware with ucode_api=1 for compatibility with
  older kernels.

* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 5.4.A.11-1mdv2009.0
+ Revision: 274480
- import iwlwifi-5000-ucode


